#include <stdio.h>
#include <string.h>

typedef struct
{
	char natural[100];
	int numeric;
}SNumber;

SNumber numArray[1000];
int numNumbers = 0;
SNumber orderArray[1000];
int numOrder = 0;

int convert(char natural[],SNumber array[], int modelSize )
{
	int output = 0;
	for (int i = 0;i<modelSize;i++){
		if (strcmp(natural,array[i].natural) == 0) output = array[i].numeric;
	}
	return output;
}

int readModel(SNumber *array,char name[])
{
	int modelSize = 0;
	FILE* language = fopen(name,"r");
	while (feof(language) == 0){
		int r = fscanf(language,"%s %i\n",array[modelSize].natural,&array[modelSize].numeric);
		if (r != 2) fprintf(stderr,"File corrupted\n");
		modelSize++;
	}
	fclose(language);
	return modelSize; 
}

int main(int argc,char *argv[])
{
	if (argc != 3){
		fprintf(stderr,"Expecting two command line args\n");
		return -1;	
	}
	numNumbers = readModel(numArray,argv[1]);
	numOrder = readModel(orderArray,argv[2]);
	
	char test[100];
	int num = 1; 
	int output[10];
	int numOuts = 0; 
	int operand[2] = {0,0};
	int operator[2] = {1,1};
	int numOp = 0;
	while (num > 0) {
		num = fscanf(stdin,"%s ",test);
		if (num > 0){
		       	int number = convert(test,numArray,numNumbers);
			if (number == 0){
				number = convert(test,orderArray,numOrder);
				output[numOuts++] *= number;
			}else{
				output[numOuts] += number;	
			}
			if (strcmp(test,"plus") == 0){
				for (int i = 0;i<numOuts;i++){
				       	operand[numOp] += output[i];
				}
				numOuts = 0;
				numOp++;
			}
			if (strcmp(test,"minus") == 0){
				for (int i = 0;i<numOuts;i++){
				       	operand[numOp] += output[i];
				}
				numOuts = 0;
				numOp++;
				operator[numOp] = -1;
			}
		}
	}
	for (int i = 0;i<numOuts;i++) operand[numOp] += output[i];
	printf("%i %i %i\n",numOp,operand[1],output[1]);
	int result = operand[0];
	for (int i=1;i<numOp;i++) result += operator[i]*operand[i];
	printf("%i %i\n",operand[0],operand[1]);	       
	return 0;
}
